## org.eclipse.emf.common.util
Class BasicEMap.BasicEMapValueIterator

    java.lang.Object
      org.eclipse.emf.common.util.BasicEMap.BasicEMapIterator<V>
          org.eclipse.emf.common.util.BasicEMap.BasicEMapValueIterator

All Implemented Interfaces:
  java.util.Iterator<V>

Enclosing class:
  BasicEMap<K,V>

    protected class BasicEMap.BasicEMapValueIterator

extends BasicEMap.BasicEMapIterator<V>

An iterator over the map value data.

Field Summary

Fields inherited from class org.eclipse.emf.common.util.BasicEMap.BasicEMapIterator
`cursor, entryCursor, expectedModCount, lastCursor, lastEntryCursor`

Method Summary
`protected V` `yield(BasicEMap.Entry<K,V> entry)` Called to yield the iterator result for the entry.

Methods inherited from class org.eclipse.emf.common.util.BasicEMap.BasicEMapIterator
`hasNext, next, remove, scan`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### yield

    protected V yield(BasicEMap.Entry<K,V> entry)

  Called to yield the iterator result for the entry. This implementation returns the value of the entry.

  Overrides:
    `yield` in class `BasicEMap.BasicEMapIterator<V>`
  Parameters:
    `entry` - the entry.
  Returns:
    the value of the entry.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.